

def poisson_chi_squared(numRows, numCols, frequencyList):
    """
    Calculate the distribution of points within the set of quadrats using the
    chisquare statistic.
    """
    freq_array = numpy.array(frequencyList)
    sumPoints = freq_array.sum()
    sumCells = (numRows * 1.0) * numCols
    nBar = sumPoints / sumCells
    chiValue = (((freq_array - nBar)**2.0) / nBar ).sum()
    dof = int(sumCells - 1)
    p_value = Stats.chiProb(chiValue, dof, type = 1)

    # return informative message
    print ("P-Value: {}".format(p_value))
    arcpy.AddMessage("P-Value: {}".format(p_value))

    # Set the output value to the derived parameter
    arcpy.SetParameter(3, p_value)
# End poisson_chi_squared function


