

        # Get the extent of the input point feature class
        extent = arcpy.Describe(input_points).extent
        # Create the quadrats using the extent of point features
        quadrats = arcpy.CreateFishnet_management(r'in_memory\fishnet',
                                    '{0} {1}'.format(extent.XMin, extent.YMin),
                                    '{0} {1}'.format(extent.XMin, extent.YMax),
                                    0, 0, rows, columns,
                                    '{0} {1}'.format(extent.XMax, extent.YMax), 'NO_LABELS',
                                    extent, 'POLYGON')

        # Identifying the the points within each quadrat
        identity = arcpy.Identity_analysis(input_points, quadrats, r'in_memory\points_identity', 'ONLY_FID')

        # Get a point frequency table for each quadrat
        point_frequency = arcpy.Frequency_analysis(identity, r'in_memory\point_frq', 'FID_fishnet')

        # Open up a arcpy Data Access module SearchCursor on frequency table
        #   accessing FREQUENCY field only
        srows = arcpy.da.SearchCursor(point_frequency, 'FREQUENCY')

        # Create a list of the point frequencies
        frequency_list = [srow[0] for srow in srows]

        # Perform chi-squared statistic to detemine the spatial pattern of the points in the set of quadrats
        poisson_chi_squared(int(rows), int(columns), frequency_list)

